Subject: Re: linux-next: build failure after merge of the vhost tree

From: Guennadi Liakhovetski <[email-masked]>
Date: Tue, 4 Aug 2020 07:47:59 +0200

Hi Stephen,

On Tue, Aug 04, 2020 at 03:11:17PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the vhost tree, today's linux-next build (arm
> multi_v7_defconfig) failed like this:
> 
> drivers/rpmsg/virtio_rpmsg_bus.c:28:10: fatal error: linux/virtio_rpmsg.h: No such file or directory
>    28 | #include <linux/virtio_rpmsg.h>
>       |          ^~~~~~~~~~~~~~~~~~~~~~
> 
> Caused by commit
> 
>   bba6f4f52c31 ("rpmsg: move common structures and defines to headers")
> 
> I have used the vhost tree from next-20200803 for today.

Yes, I've seen that, that's a clang build for MIPS... I'll have a look.

Thanks
Guennadi

> -- 
> Cheers,
> Stephen Rothwell